KAS Software - mapView

Overview of MapView

KAS Software MapView is an easy-to-use Windows multi-format map display program with 3D viewing and GPS interfacing capability.

In summary MapView has the following features:

  • Display of multiple digital raster map formats, such as: geotiff, qct and gdf format maps.
  • MDI (multi document interface) and single-map display modes.
  • 3D map display using openGL, with the option of viewing a static model that can be rotated and zoomed, or a 'free-flying' mode. (The effectiveness of these is entirely dependent upon the capabilities of your graphics card.)
  • 3D map display using directX9. This requires maps in a special format, derived from StreamingCDLOD (see "Continuous Distance-Dependent Quadtree-Based Level of Detail for Rendering Heightmaps (CDLOD)" paper (http://vertexasylum.com/2010/07/11/oh-no-another-terrain-rendering-paper/). The upshot is these maps have an impressive fly-thru capability that's worth seeing.
  • Hill shading to emphasise topography.
  • Full printed output capability.
  • GPS connectivity - download and upload current position, routes, tracks and waypoints to/from a range of handheld GPS devices, over both serial and USB links.
  • Creation, editing and saving of routes, tracks and waypoints.
  • GPX support - full reading and writing capabilities using this standard for geographical information interchange (such as routes, tracks & waypoints).
  • Shapefile support - read, display & write support.
  • Fully integrated searchable gazetteer.

This topic provides reference information about:

  • The KASsoftware MapView window
  • KASsoftware MapView features
  • Further information

The KAS Software MapView window

The MapView window includes the following components, and as such has a fairly traditional Windows layout which should quickly feel familiar to the user:

  • a menu bar along the top of the window
  • a line of buttons (a toolbar) which simply provide quicker access to functionality present within the menu bar
  • a viewing area within which maps are displayed
  • a status bar at the bottom of the window which provides additional information on the map currently being displayed.

Map Viewing window

The map viewing pane, which makes up the bulk of the MapView window process, is used for the display of a single map in either 2-D or 3-D (but not both simultaneously). The normal map view is shown above, and a 3-D map being displayed in the main window is shown below:-

MDI

More details on viewing maps...

The Toolbar and Menu Bars

The MapView toolbar and menu bar provide rapid access to the main functionality provided for displaying, manipulating and printing maps. This includes zooming and panning, selecting map-view or 3-D view, bringing up the help pages, printing, loading a new map, searching the gazeeter for a town or other locality, measuring a distance on the map, adding and editing waypoints, and drawing routes and tracks for upload to GPS devices. In addition selection of the scale and zoom level can be made by way of drop-down lists.

More Details...

Return to top

Status Bar

The status bar, which is located at the bottom of the main window, displays the current location of the cursor or centre of the map (as configured), and can also display the height above sea level of this point.

KAS Software MapView features

This section gives a brief overview of the different features you'll find in MapView.

Map Display

Selection of the map to be displayed in the main MapView window can be made by way of the 'Load Map...' option of the 'File' menu. Once on display the required section of the map can be navigated to by using the scroll bars, the cursor keys, by clicking on the appropriate toolbar buttons, or by dragging the mouse.

The map may be zoomed in or out at fixed percentage values. For fastest map navigation use the 100%, 25%, 6.25% or 2% zoom values.

More Details...

3-D View

The 3-D view window, which occupies the same screen area as the map viewing window, allows for a portion of the map currently being displayed to be viewed as if it were a 3-D object. This object can be zoomed into or away from, and can be rotated in three dimensions by using the mouse, the cursor keys, or the appropriate toolbar buttons. The selected area can also be viewed in 'Free Flying' mode in which you may fly through the area without restriction using either the cursor keys and mouse or a joystick.

More Details...

Printing

The currently displayed portion of map may be printed on a connected printer, but the maximum output size is the lesser of the currently displayed area and the dimensions of an A4 sheet of paper.

More Details...

Return to top

GPS Support

There is comprehensive support for many Garmin GPS models including the GPS12, GPS38, GPS III, etrex SUMMIT, GPSmap 60CS and foretrex units (all of which have a serial interface connector) and to the USB-based etrex VISTA C and Edge 305. Most other handheld Garmin devices will work without any issues. MapView can also communicate with Magellan 315/320 handheld GPS devices (although this sometimes requires a bit of patience). There is but rudimentary support for other GPS devices outputting positional data using NMEA.

For the supported models, routes, tracks and waypoints can be downloaded from and uploaded to the GPS unit. Other functionality is also available depending on the GPS manufacturer.

More Details...

More information

KASsoftware MapView web-site

Specific Queries

© KAS Software Ltd, 24th June 2016

Return to top


KAS Software - mapView

MapView Requirements & Installation

Requirements

The following lists the requirements for MapView to run painlessly on your system.

Operating System

The KAS Software MapView process was developed to run under Windows XP and laterly Windows Vista & Windows 7 - it has not been tested under earlier versions of Microsoft Windows. Whilst it may run under Windows 2000 and Windows NT 4.0 or later, it will neither install correctly nor run on earlier versions of the Microsoft Windows operating systems. It has not been tested under Windows 10.

Graphics Card

The use of a decent graphics card is recomended if you intend to use the 3D functions - a card with 64MB or greater of onboard memory would be useful. It is important to ensure that the card's driver is the most up to date available as this can have a tremendous impact on the speed at which the 3D graphical elements are rendered, and can also have an effect on the shading used by the rendering algorithms.

Installation

To install, either insert the installation CD or DVD labelled as the installation disk or run the downloaded self-extracting zip file ("KAS-MapView-2016_06.exe" or similar). If you have a CD/DVD then the installation wizard should start automatically, but if it fails to do so then manually run the 'setup.exe' program. For both CD and zip file installation, you must have administrative privileges in order to correctly install the MapView program and maps. If this is not the case the installation process will terminate with an appropriate (annoying) error message or the installation will be incomplete.

If you're using the self-extracting zip file then that should, when started, bring up a window entitled "WinZip Self-Extractor - KAS-MApView-2016_06.exe". If you click the 'Unzip' button in this window it should unzip all the files and then start the installation process proper. Note that the box labelled "When done unzipping open: setup.exe" should be ticked before clicking 'Unzip'.

Note that if you simply unzip the files to a directory and run the mapview.exe program directly you'll get an error box indicating MapView has not been installed correctly - the program must be installed in the above manner on the machine you're using it on.

That program should then start-up a setup wizard thing, which should be familiar in general in that you go through a series of windows to select home directory etc, and then installs the software (default directory "C:\Program Files (x86)\KASsoftware" on windows 7).

Follow the wizard instructions to complete the installation of KAS Software MapView, by initially clicking on the 'Next' pushbutton in the 'Welcome' panel:-

Carefully read the MapView license, using the scroll bars to move onto the following pages. If you do not accept the terms of the license then you must return the DVD/CD(s) you have purchased, if any, to wherever you purchased them, if anywhere, and you will then receive a full refund, if purchased maps you have. If you do this then you may not, under any circumstances, retain any copies of the MapView product or associated maps.

To accept the license, click on the appropriate radio button then press the 'Next' button:-

The next screen in the setup wizard is optional, and if present, will ask for you to enter the product registration key, which is actually the key for the maps that you have bought. The key, which can be found on a sticky label attached to your distribution media, consists of twenty alphanumeric characters separated by dashes. Only after the full twenty characters of the key have been entered - you must not enter the '-' characters that appear in each license key - will the 'Next' button be activated, and then only if the product key has been entered correctly.

The 'Your Name' and 'E-mail' fields are optional and are not checked by the setup procedure, but may prove useful in providing you with post-installation support.

The installation directory must then be selected. Please bear in mind that all maps will be transferred onto the hard disk of your PC and this may take up a considerable amount of disk space.

Either accept the default of installing it in your 'C:\Program Files' directory, or specify another directory by either typing in the full path, or selecting it graphically using the 'Change...' button.

Once you are happy with the selected directory, move on to the next step in the installation process by clicking on 'Next'.

From the confirmation panel shown below, verify that the correct installation directory has been selected, then click on the 'Next' button to start the copying of files.

The initial part of the installation process involves copying over the executable and help files, as indicated by the brief appearance of the following window:-

The next stage of the installation process involves creating Windows registry entries and then copying over all map files from CD to the hard disk. The map copying progress box gives a good indication of what progress is being made here, but nipping off to make a cup of tea whilst periodically coming back to check progress would not be a bad idea.

If a map of the same name already exists on your hard drive in the installation directory, then you are given the option of whether or not to overwrite it. You should generally answer yes to this, and can do so by clicking on the 'Overwrite' button. Clicking on the 'Skip Map' button will cause the specified map to remain unchanged on your hard disk.

If, as may be the case, you have purchased a map product that has more than one CD, then you will eventually be prompted to insert the second (or subsequent) CD into one of your PC's CD or DVD drives.

You may find it convenient here, if your PC system has two optical disks, to insert the required disk into your second drive and inform the installion process of this by using the 'Change' button to specify the disk to read map files from. Once you have inserted the required disk, and specified its directory, then click on the 'Accept' button.

When file copying has finally finished you will be presented with the following dialog box - clicking on the 'Finish' push button here will end the installation process and you can then use the MapView product.

The installation process will have added a new shortcut icon to your desktop (which can of course be deleted if necessary), and will also have added a new 'Start->All Programs' folder named 'KASsoftware'.


KAS Software Ltd MapView 1

KAS Software Ltd MapView 1.0

End User License Agreement

This is a legal agreement between you, the end user, and KAS Software Limited, a Scottish registered software development and computer consultancy company. Please read the following terms and conditions carefully. By installing or otherwise using this software product you agree to abide by these terms and conditions. If you do not agree to the terms of this license then you must return the software product for a full refund of the fee paid, and must destroy any copy you may have made of the software product for backup purposes.

The executable software on this disk, together with accompanying documentation and height data, collectively referred to as the "Software Product", is copyright ©KAS Software Ltd, Scotland.

(i) License and Restrictions

KAS Software Ltd, grants you as an individual a non-exclusive license to use this Software Product and Map Data on at most one personal computer or workstation. The software is in use on a computer when it has been installed onto the permanent memory of a computer or when any of the files or executables making up the Software Product are currently loaded into the temporary memory of a computer.

The Software Product is owned by KAS Software Ltd, and as such is protected by copyright laws. It must therefore be treated in the same manner as any other copyrighted material except that a single copy of the distribution disk(s) may be made solely for backup purposes. The Software Product itself must not be decompiled, reverse engineered, or modified in any other way. You may not rent or lease the Software Product and Map Data. If you wish to transfer the Software Product and Map Data to another PC or workstation then it must first be fully uninstalled from the original computer, and the map data deleted, prior to installation on the new PC or workstation.

The Software Product and Map Data is for the use of individual consumers only and must not be used by commercial agencies of any sort. The Software Product and Map Data must not, at any time, be made available to multiple users either through a network of connected computers or in some other manner. It is explicitly permissible to run the Software Product on the Linux operating system using the WINE package provided that this usage is in full accordance with all other license conditions expressed herein.

Maps printed by the Software Product are for personal use only and must not be distributed or sold.

(ii) Limited Warranty

KAS Software Ltd. warrants that the Software Product will perform substantially in accordance with its advertised functionality for a period of 90 days from receipt of the product, provided it is used on computer systems which meet or exceed the advertised minimum specification. CD-ROMs on which the Software Product are distributed are guaranteed to be free from defect for 30 days from the date of purchase. However replacement of CD-ROMs after this period will be considered provided the original CD is returned to KAS Software Ltd. for inspection along with a copy of the sales receipt.

Should the Software Product fail to perform in accordance with this limited warranty, your exclusive remedy shall be either a refund of the price you paid, or repair or replacement of the Software Product, at sole discretion of KAS Software Ltd. The limited warranty shall not be available if failure of the Software Product has resulted from accident, abuse or misapplication. Any replacement product will be warranted only for the remainder of the initial warranty period

KAS Software Ltd. Does not warrant that the contents of the Software Product and Map Data will be accurate or meet your requirements, or that the operation of the Software Product shall be error-free. The Software Product can and does contain inaccuracies, particularly with the height field data which is supplied and generated by KAS Software Ltd. The height data is for illustrative purposes only and must not be relied upon for its accuracy. A further known inaccuracy involves the conversion of OS grid references to/from Latitude/Longitude coordinates, and this must be taken into account when such data is used for navigational purposes.

(iii) Limitation of Liability

KAS Software Limited’s liability for any loss or damages arising from any defect in the Software Product is limited to the purchase price of the Software Product. In no event shall KAS Software Ltd or its suppliers be liable for any other damages whatsoever arising out of the use or misuse of the Software Product.

(iv) Exclusion and Indemnity on Ordnance Survey Data

(v) Copyright

All copying or reproduction of the Software Product, except as expressly permitted by this license, is strictly forbidden. You may not make copies of the accompanying materials.

(vi) Licenses and Trademarks

If you have any queries regarding this license then please email ‘info@KASsoftware.com’.

License text dated 9th March 2010.


main

Toolbar and Menu Actions

The Toolbar

The MapView toolbar provides the following functionality, listed on display order from left to right:-

  • A scale bar control which allows the current map display scale factor to be selected. Depending on the map currently on display this allows for a range of scales from 2% - 400%. The smaller values are very useful for quickly navigating around the map.

  • The 'Load Map' button which allows another map to be loaded into memory and displayed. The map will be brought up and displayed at a scale of 100% and centred at the current map location or, if this is not possible, on the map's true centre.

  • The 'Print' button brings up a control panel which allows the printing scale to be specified, prior to confirming the print. The center of the printed output coincides with the currently displayed map's centre.

  • These two buttons are used to zoom in or out of the currently displayed map, whether that map be displayed in 2-D or 3-D.

  • These two buttons are used to move to a higher or lower scale map, if such is available for the current map position.

  • These arrow buttons are used for moving left, up, down or right one page at a time on the displayed map.

  • This help button brings up this help display window.

  • This button brings up the 'Find Place..' control panel which allows the user to quickly find, and navigate to, a given locality. Further Details...

  • This toggle button allows the user to create waypoints by double-clicking the mouse over the appropriate map position. The waypoints are numbered sequentially starting from zero.

  • This toggle button allows the user to draw a route by double-clicking the left mouse button over each route's waypoint. Finish drawing a route by using the right mouse button to bring up a small popup menu.

  • This toggle button allows the user to draw a track, which is simply a sequential series of map positions indicating the path that has been taken.

  • This button displays the currently selected map in 3-D, with the 3-D image centred on the current screen centre. Further Details...

  • This button has no action if pressed whilst viewing a map in 2-D, however it switches back to 2-D mode if you're currently viewing a map in 3-D mode.

  • This button displays the currently selected LOD map in 3-D with DirectX 9 Further Details...

  • This button allows you to measure a distance and display a compass heading on a map.

  • These buttons allow you to download data from a connected GPS device, and to upload routes, tracks and waypoints to it. Further Details...

    • The Menu Bar

    The menu bar headings are fairly self-explanatory and duplicate all toolbar functions whilst adding a few others. These new functions are described in the appropriate sections of this help file.


main

Menus

This section provides some details about menu options found in the View, Map and Height menus.

View Menu

The View menu is shown below and consists largely of options which affect the overall display of maps.

  • The first few options allow you to toggle the display of, respectively, the menu bar, the toolbar, the status bars and the scroll bars. If the menu bar is hidden it can be displayed again by pressing the 'Esc' key on your keyboard.
  • The 'Map View' menu option shows a normal map view, as shown here.
  • The '3D View' menu option shows the current map in a 3-D view, provided the currently selected map zoom level and height data support this. Further details...
  • The 'Height View' menu option shows the current height data in a map view, as detailed here.
  • The '3D Fixed Point' and '3D Free Flying' menu options relate to how the map will be viewed in 3-D, as explained here.
  • The 'Rotate 3D' option will start to auto-rotate a 3-D map image but will have no effect if the map is not currently displayed in 3-D. To change the direction and speed of rotation see here.
  • The 'Level Flight 3D' option will fly continuously in the current direction at the current height for maps shown in '3D Free Flying' mode.
  • The 'Show Centre' option toggles the display of the cross-hair marking the displayed centre of the map which is also the map's current position.
  • The 'Show Grid' menu options display various grids and representations of ellipsoids on the current map.
    • Elipsoid Grid - displays a representation of the current ellipsoid which will be either the map's native ellipsoid (Airy 1830 for OSGB maps) or WGS84. This can be selected using the Status Bar pane of the 'Set Preferences...' panel using the 'Show latitude/longitude as WGS84' box.
    • OSGB Grid
    • Irish65 Grid
    • Lambert IIe Grid
    • BD72 Grid
    • UTM Grid/ED50 (N)
    • UTM Grid/WGS84 (N)
    • UTM/WGS83 Zone 29N
    • UTM/WGS83 Zone 30N
    • UTM/WGS83 Zone 31N
    • UTM/WGS83 Zone 32N
  • The 'Show Compass' and 'Show Scale Bar' options toggle the display of (guess what?) the compass and scale bar, illustrated below.
  • The 'Show Ruler' option displays the current map surrounded by a ruler with a suitable scale with arrows indicating the current easting and northing positions (as shown below).

Map Menu

The Map menu is shown below and contains a variety of functions.

The following functions are available:

  • The 'Input License Text...' brings up a panel which allows you to enter map licenses for recently purchased maps. Normally this option will be disabled.
  • The 'Larger Scale Map' option, if enabled, brings up a larger scale map centred on the current map position.
  • The 'Smaller Scale Map' option brings up a smaller scale map centred on the current map position.
  • The 'Grey Scale' option shows the current map in shades or gray rather than in full technicolour.
  • The 'Set Intensity' sub-menu allows you to dim the colours displayed in the map.
  • 'Zoom In' zooms you in on the current map, centering on the current map position.
  • 'Zoom Out' zooms out off the current map.
  • 'Points of Interest...' brings up the Points of Interest gazetteer panel.
  • 'Find Place...' brings up the Searchable Gazetteer panel.
  • 'Go to Location...' brings up the Go To Location... panel.
  • The 'Scottish Hills' submenu allows you to display all Munros, Corbetts, Grahams or Donalds as marks on the map display. These may then be individually or collectively converted to waypoints for convenience.
    • The 'English/Welsh Hills' sub-menu does the same for Wainwrights and Hewitts.
  • The 'Show Mark/Hill Names' option toggles the display of mark names alongside the appropriate map mark.
  • 'Clear Marks' discards all map markings.
  • The 'Distance Tool' menu option causes the map to be displayed in distance-measuring mode. Clicking and holding the left mouse-button over a particular location on the map and then dragging the mouse will result in the distance and true compass bearing between the two points being displayed as shown below.

  • 'Sunrise/Sunset Time...' brings up the panel shown below.

  • 'Area Calculation...' brings up a small panel and enters area calculation mode in which a shape can be drawn on the map and its current area displayed.
  • 'Properties...' brings up a map properties panel, similar to that show below.

Height Menu

The Height menu is shown below.

The following functions are available:

  • The 'Show Height' option toggles the display of the height of the current map position on the status bar, below.

  • The 'Height Popup' menu option pops up a panel showing current height and position if the mouse pointer is 'hovering' (ie. stationery) for a couple of seconds.

  • The 'Height Properties' option brings up a panel, similar to that below, which shows basic summary information on the currently loaded height data file.


KAS Software - mapView

Gazetteers

Two types of gazetteer information panels are available from the menu or toolbar:

  • A fully searchable gazetteer which can be searched by name and feature type, with the results sortable in a variety of manners.
  • A list of points of interest of various types.

Searchable Gazetteer

Into the search criteria field can be entered a regular expression to match on. For example to search for those places containing the letters "cat" or "hat" you could enter the regular expression "[ch]at" in the text-entry box and click on the "Containing..." radio button (selecting the "Starting with..." radio button returns a list of places starting with the letters "cat" or "hat").

Further details on regular expressions can be easily found on the internet, suffice to say they provide an extremely flexible way of searching the supplied gazetteer.

Sorting Results

Clicking on the 'Distance (Miles)' column heading in the panel will list all matching points in order of increasing distance from the current map location. Clicking on the 'Name' column heading will sort all matching points into alphabetical order as before.

Selecting an area to search within

To search for locations within a smaller area than the full gazetteer you can draw a filled ploygon using the 'Shapes->Draw Filled Polygon' menu option, and then select the 'Points in shape' radio box within the gazetteer panel, then click 'Search'. Only those points in the gazetteer within your filled shape will be displayed within the gazetteer's main selection window, as below.

Selecting a gazetteer

You can select a gazetteer to query with the 'File->Load Gazetteer...' menu option, which pops up the panel shown below. Double-clicking on the required row from this panel, or single-clicking to select the gazetteer you need, then hitting the 'Load Data' button, will select this gazetteer and close the popped-up panel. You can then use the gazetteer toolbar button - or the 'Map->Find Place...' menu option to bring up the searchable gazetteer panel (below).

Points of Interest gazetteer

Pressing the toolbar 'Find Place' button, or selecting the 'Map->Place Lists...' menu option (or pressing Ctrl F), brings up the 'Points of Interest...' panel shown below. This panel allows the user to select which type of gazetteer entry to look at (e.g. towns, hills, castles) and to then select a particular entry of that given type.

This panel can logically be divided into three sections - an upper one which contains a list of the types of places that can be selected, a middle text entry area within which the first few letters of a place of interest can be typed, and then a lower scollable list of places within which an individual entry can be selected by double-clicking on it.

Double clicking on an entry on the lower list will lead to a map being displayed centred on the chosen locality. This double-clicking action will not close the panel so that if the selected place was not the desired one then a new choice can be made. If the desired locality has been found then simply press 'OK' or 'Cancel' to close the panel.

The gazetteer types currently available are:

  • OS Gazetteer 2004 - An Ordnance Survey supplied list of approximately 25,000 Scottish, English and Welsh towns and villages.
  • Scottish Castles/Historical Sites - More than 400 Scottish castles, tower houses, stately homes and selected other sites.
  • English/Welsh Castles - A non-comprehensive list of castles, stately homes and other significant buildings.
  • List of Munros - A list of all Munros (major Scottish summits of 3000' or greater).
  • List of Corbetts - Scottish hills between 2500' and 2999'.
  • List of Grahams - Scottish hill between 2000' and 2499'.
  • List of Donalds - Scottish lowland hill of 2000' or greater not included in previous lists.
  • Wainwrights - A list of over 400 Lakeland hills and tops.
  • Hewitts - All significant English and Welsh hills.


KAS Software - mapView

Viewing Maps with MapView

Adding Maps

To add maps to the list that MapView can display you would bring up the panel shown below using the "Settings->Misc Options..." menu option. Next click on 'Add Directory' to popup a window in which you can select the name of the directory in which your map files are located. Once you're content with your changes, click 'Apply' then 'OK' to close the panel. The changes won't take effect until you next shut-down then re-start MapView.

Be aware that the selected directories and all their sub-directories will be searched for map files the next time MapView starts up.

Moving around

With a map on display, you can navigate around in a variety of manners using either the mouse, keyboard, scroll bars or joystick if you've enabled joystick usage.

In general, the fastest way to move from one part of a map to another is to either zoom out to a numerically smaller zoom level and then move the map as described below, or use the 'Wee Map', 'GB Overview', 'Go to Grid Ref...' or 'Find Place' menu and toolbar options.

Regardless of what navigation method is chosen, the act of moving around on a map will be somewhat jerky given that individual map chunks must be loaded in for the area to be moved to prior to their being displayed. These may then need to be further processed to scale them to the required viewing scale. For this reason, navigating through the map is quickest using the 2%, 6.25%, and 25% options as appropriate, and then moving up to a higher zoom level, if necessary, to see a higher level of map detail.

Navigating using the Mouse

The map can be dragged using the mouse by simply holding down the left mouse button and moving the mouse.

Navigating using the Mouse Wheel

If your mouse has a wheel then you can use this in two ways:

  • Rotate the wheel to move up or down the map.
  • Hold down the mouse wheel and move the mouse in the direction in which you wish to navigate. Simply release the mouse wheel to stop.

    • Navigating using the toolbar

    The map can be moved one page at a time to the left, right, up or down by using the appropriate arrow key on the toolbar.

    Navigating using the keyboard

    The map can be moved at a reasonable speed to the left, right, up or down by using the appropriate arrow key on the keyboard.

    Navigating using the Scroll Bars

    The map can be moved in any direction using the scroll bars. Coarse movements can be made by dragging the appropriate scroll bar slider, finer movement can be achieved by clicking on the arrow buttons at the ends of each bar. Clicking on the bar between slider and arrow will move the map one page up, down, right or left as appropriate.

    Viewing Maps in 3D

    MapView can display maps in 3D in one of two ways:

    • By combining the currently displayed map with the current height data (which can be selected explicitly using the right-hand button popup menu, or implicitly when you select a new map to load). This method uses OpenGL as the display technology.
    • By loading in a special type of map - termed an XLOD map - which contains map, height and other information for speeding up 3D viewing. This uses directX 9 as the underlying 3D technology.

    Further details are available here for OpenGL viewing, and here for XLOD maps.

    Height View

    Using the 'View->3D View' menu option, it is possible to view the currently loaded height data as if it were a map, in which case it will have a general appearance similar to that shown below.

    This height-data map can be navigated around as above but can currently neither be printed out nor viewed in 3-D.

    Map Display Menu

    Clicking the mouse's right button whilst displaying a map using the normal view will bring up the menu shown below:

    These menu options perform the following tasks, using as the current map position the location on the map over which the cursor was positioned when the right mouse-button was pressed:

    • 'Create Waypoint' adds a waypoint at the current map location.
    • 'Start Route' starts a route at the current map location.
    • 'Start Track' starts drawing a track from the current map location.
    • 'Draw Polygon' draws a polygon with one vertice at the current map location.
    • The 'Measure Distance' menu option causes the map to be displayed in distance-measuring mode. Clicking and holding the left mouse-button over a particular location on the map and then dragging the mouse will result in the distance and true compass bearing between the two points being displayed as shown below.

    • 'Zoom In' zooms you in on the current map, centering on the current map position.
    • 'Zoom Out' zooms out off the current map.
    • The 'Zoom Level' sub-menu contains various options for easily selecting a suitable zoom level.
    • The 'Larger Scale Map' option, if enabled, brings up a larger scale map centred on the current map position.
    • The 'Smaller Scale Map' option brings up a smaller scale map centred on the current map position.
    • The 'Maps at Cursor...' sub-menu provides a list of maps which provide coverage of the current map position, selecting one causes the map to be displayed.
    • The 'Map View' menu option shows a normal map view, as shown here.
    • The '3D View' menu option shows the current map in a 3-D view, provided the currently selected map zoom level and height data support this. Further details...
    • The 'Height View' menu option shows the current height data in a map view, as detailed here.

    3-D Display Menu

    Clicking the mouse's right button whilst displaying a map in 3-D will bring up the menu shown below:


KAS Software - mapView

Viewing Maps in 3D

There are two types of 3D view available, distinguished by the underlying technology used - OpenGL or DirectX 9.

OpenGL 3D Viewing

Clicking on the "3D" toolbar button, or selecting the 'View->3D View' menu option, brings up the 3D window which allows a variety of manipulations to be performed.

To fully appreciate the 3D viewing options, it is essential to have a fast modern Graphics card, otherwise the 3D view may use a lot of resources for very little gain.

Manipulating 3D Map using the Mouse

There are two principal methods of viewing a map in 3D - 'fixed point' or 'free flying'.

Fixed point Mode

In fixed point mode, the map segment can be rotated around the x, y and z axes by judicious use of the mouse. Holding down the left mouse button, move the mouse around and you will see the map rotating. Moving the mouse to left or right rotates the map around the z axis. Moving the mouse up or down rotates the map along an axis perpendicular to the z axis and parallel to the screen (sounds complicated but with only a little practice it is very easy to rotate the map to the required orientation.

There are no checks performed to prevent you rotating the map to an upside-down position, however if you get confused as to the map orientation you can reset the view by clicking on the 3-D toolbar button

The size of the map segment to use is specified in the '3D Options' control panel, feel free to experiment as to which gives you the best performance and useability.

'Free Flying' 3-D navigation

In 'Free Flying' 3-D mode you may use the cursor keys to move around the 3-D map. The up and down cursor keys move you respectively forwards and backwards, and the left and right keys rotate your viewpoint to the left or right. Use the 'u' and 'd' keyboard letter keys to move up or down respectively. Note that in this mode it is perfectly possible to fly through and underneath the map surface.

Manipulating 3D Map using the Keyboard

The following is a list of the keys that can be used when viewing 3-D maps:-
  • i - Zoom In
  • o - Zoom Out
  • r - Reset View

3-D Display Menu

Clicking the mouse's right button whilst displaying a map in 3-D will bring up the menu shown below:

DirectX XLOD Map Viewing

XLOD maps contains both map and height data and has been processed to provide fast 3D viewing.

Manipulating XLOD Map using the Keyboard

The following is a list of the keys that can be used when viewing 3-D maps:-
  • F - Full-screen mode
  • ESC - Exit full-screen mode
  • G - Shows triangles
  • A - Move viewing position leftwards
  • D - Move viewing position right
  • Q - Move viewing position up
  • Z - Move viewing position down
  • U - Move viewing position to height of highest point
  • W - Move forward
  • S - Move backwards
  • T - Show/hide text
  • R - Reset View
  • V - Change backgroung colour


main

Loading Maps

Pressing the toolbar 'Load Map' button, or selecting the 'File->Load Map' menu option (or pressing Ctrl L) brings up the 'Load Map...' control panel shown below.

This panel displays a list of the currently available maps. Double-clicking on one of these, or selecting one and then clicking 'Load Map', causes that map to be displayed in the MapView window. Double-clicking on a selected entry leaves the panel open, single-clicking to select then clicking 'Load Map' brings up the selected map then closes the panel. To definitively close the panel click 'Close'.

If the map is also a height file (i.e. a file containing elevation data in raster format) then you can select this file as the current height data by single-clicking then clicking the 'Load Height' buttonThe displayed map won't change if you do this, but the windown title and status bars will be updated to reflect this use of a new height data file.

Once a map has been brought up, a 'Map Properties' panel showing a small amount of summary information can be brought up using the 'Map->Properties' menu option.

Loading map layers

This panel, which is a prototype, lists all (and there may well be none) matching maps which can be overlaid on the currently displayed map. Only one map at a time may be overlaid, and this feature may be switched off at any time using the 'View->Hide Layers' menu option.

Once a map is overlain on another you can use the scroll bar on the toolbar menu to control the relative opacity of the underlain map.

Loading Height Data

Selecting the 'File->Load Height' menu option brings up the 'Load Height Data...' control panel which is shown below.

This panel displays a list of the currently available height data files, double-clicking on one of these or selecting one of these files and then clicking 'Load Height' (this latter action also closes the pop-up list panel) causes that height data to be selected as the current elevation data source for 2-D and 3-D view. Selecting a height map file the clicking 'Load Map' will cause this map to be displayed in the MapView window, but will not select it as the current height file. To close the panel click 'Close'.


main

Go To Location... Option

Selecting the 'Map->Go To Location ...' menu option (or typing Ctrl G), will bring up the 'Go To Location' control panel shown below.

This panel allows you to enter the coordinates of a new map position to view as either a grid reference for a variety of map datum, or as a latitude/longitude pair in any of four different formats.

Usage of this panel is fairly self-explanatory, typing in an OS grid reference in the large text entry field near the top, and then hitting 'return' will bring up a map centred on the required grid reference (or an error box if no map is found containing that grid reference, or if the grid reference has been entered in an incorrect format).

Entering a latitude/longitude coordinate pair is only slightly harder. Select the format in which you wish to enter the values, then enter the latitude and longitude values and select the appropriate N/S and E/W value from the list boxes. Click the 'OK' pushbutton once you are satisfied all coordinates have been entered correctly.


main

Configuration Options

The tabbed control panel illustrated below is displayed using the 'Settings->Set Preferences...' menu option. Individual tabbed pages can also be directly accessed using the 'Settings->3D Options...' menu option, the 'GPS->Configure...' menu option, or the 'GPS->Options...' menu option; these respectively bring up the '3D Options' tab, the 'GPS Configuration' tab and the 'GPS Options' tab.

Status Bar Options

The 'Status Bar' pane allows the user to control the position and height information shown on the status bar at the bottom of the main window.

The 'Latitude/Longitude Format' group box allows the format of the latitude and longitude to be amended to suit your taste. Tick the 'Show latitude/longitude as WGS84' box if you wish to show values in WGS84 coordinates as opposed to coordinates referenced to the Airy 1830 ellipsoid as used by the OS. Airy 1830 latitude and longitude values differ from WGS84 by 10s to low-100s of metres over the area of the British Isles, with the difference varying in both latitude and longitude. If you are attempting accurate navigation using latitude and longitude then knowledge of this setting is crucial.

The 'Current Map Location' group box allows the user to specify whether to show the position on the map of the mouse, to show the position of the map center, or whether to show no position at all.

The 'Height Information' group box allows for the user to select whether the height under either the mouse, or the map center (as specified above) should be shown or not.

The 'Distance Units' group box is a generic option which allows the selection of units to be used for a variety of functions within the MapView program; functions such as the distance units shown by the 'Map Distance' tool, the units used in the 'Find Place...' panel, the distances shown by the 'Route Card...' menu option, ...

3D Options

The 'Graphics Card Type' part of the '3D Options' panel allows the user to specify roughly what the processing power of their graphics card is, so that there is not too large a pause prior to displaying the map in a 3-D view. The faster the card type specified, the larger the amount of 3-D map data that can be displayed.

If you've got a connected joystick and you've checked the 'Enable Joystick(s)' option, then you may fly around the map using the joystick. Otherwise hold down the up-arrow key on the keyboard and control your direction using the mouse. If you tick the 'Enable Joystick(s)' box then you'll need to exit MapView and restart it for this to take effect.

The 'Relative flight speed' slider control allows you to set the speed at which you fly through the map; since this is dependent upon your system's specification then you'll need to experiment here to get the best results.

The 'Auto-rotate options' specify the direction and speed of rotation if you've currently enabled this option on 3-D map viewing. Again, feel free to experiment with these settings.

GPS Configuration

See the section on GPS configuration.

GPS Options

See the section on GPS options.

File I/O Options

This pane is concerned with file output options, both the GPX options and proprietary text format output. See the section on GPS file I/O options.


KAS Software - mapView

Map Marks

A mark is simply a location on a map showing a point of interest that may have been derived from the use of the 'Find Place...' panel or from one of the Map menu options for display Scottish or English & Welsh hills. An example of the on-screen appearance is given below:

Marks may be moved, deleted or converted to a waypoint using the mark popup menu shown below, which is displayed whenever you click on the right mouse-button above a displayed mark on the map.


KAS Software - mapView

Shapefile Support

MapView can read and write simple shapefiles whose contained coordinates are numeric OSGB grid references and which consist of polygons or polylines only.

There is a limited capability for drawing polylines and/or filled polygons on the map using the 'Overlay' menu options or the right pop-up menu. It may be more convenient to draw the required outline as a route and to then transform that route into a polyline or filled polygon using the right-button route popup menu as described in the GPS section on routes.

An example showing the appearance of a filled polygon is shown below:

Shapes and the Gazetteer

To search for locations within a smaller area than the full gazetteer you can draw a filled ploygon using the 'Shapes->Draw Filled Polygon' menu option, and then select the 'Points in shape' radio box within the gazetteer panel, then click 'Search'. Only those points in the gazetteer within your filled shape will be displayed within the gazetteer's main selection window, as below.


main

Map Legends

OS OpenData™ 1:250,000 Legend:


KAS Software - mapView

MapView Printing

Clicking the toolbar 'Print' button [image] or selecting the 'File->Print' menu option brings up the print confirmation panel shown below. From this panel clicking on the 'Print' button causes the currently outlined area of map to be printed on the specified printer. The printer to use, paper size and orientation and various other options can be selected using the 'Printer Setup...' button.

For normal (non-3D) maps, the scale that the map is to be printed at can be selected using either the drop-down list box, or by typing in a custom scale in the edit box (e.g. 4000 for 1:4,000). A thick black box will be displayed on the screen showing the map area that will be printed for each selected scale, as shown below. The minimum scale that can be printed is 1:1,000 for a 1:50,000 map, but this will simply be printed as a heavily zoomed in 1:50,000 map and will appear very 'blocky'.

Only that portion of the current map which is outlined by the black box on display in the MapView window will be printed out at the selected scale. To allow you to exactly specify what parts of the map to print out the underlying map can be moved and scaled in or out when the black box is being displayed. Any tracks, routes or waypoints currently displayed on your map will be included in the printed output, along with the map title, printed scale, date and copyright notices, and any grids that you may also be displaying.

Note that some maps do not have a fixed native scale, dependant upon the underlying coordinate refenence system in use. For example maps that use the so-called Google projection have a scale that varies throughout from north to south, but is constant east to west.

3D Map Printing

For printing of a 3D view of a map, a different confirmation panel, offering no options other than to print or cancel, is popped up, as below:

Printer Setup

The standard Microsoft Printer Setup dialog can be brought up from either the 'File->Printer Setup' menu option or from the 'Printer Setup...' pushbutton in the print confirmation panel, to configure various aspects of the printed output.

With this panel you can select which printer to use, what print quality to use, the paper size, and whether to use Portrait or Landscape printing. Once you have selected the options you require, simply click on the 'OK' pushbutton and your selections will be saved, and the panel closed. You can then go on to print the portion of the map that you require.

Printing Restrictions

The following restrictions apply to the printing of some maps:

Printed Map Size

For some maps only the currently viewed map (or a portion of it) can be printed. This means that the only way to print a large area of such a map is to zoom out to the appropriate resolution, select the appropriate scale covering the required area, and then print it.

Paper Size

There is no limit to the largest size of map that may be printed. To specify paper size, orientation and print quality use the 'Printer Setup...' option of the 'File' menu.


main

GPS Overview

This section on MapView's GPS interface covers the following topics:

  • Routes, Tracks and Waypoints
  • GPS Data Files
  • Supported GPS Devices
  • Coordinate Systems
  • NMEA Overview
  • GPS Menu
  • GPS Configuration
  • GPS Comms Overview
  • GPS Options
  • GPS File I/O Options

Routes, Tracks and Waypoints

Most GPS devices support the concept of routes, tracks and waypoints. A waypoint can be defined simply as a fixed point on or above the surface of the earth; a route is a planned course of travel defined by a linear series of waypoints; and a track is a collection of positioning points which indicate where you have been.

MapView offers extensive support on the use of routes, tracks and waypoints and allows all such types to be created, edited, deleted, uploaded to a GPS device, downloaded from a GPS device, written to various types of file, and read in from file.

GPS Data Files

MapView offers comprehensive read/write support for the de facto standard GPX file format, an XML-based format which can be read from and created by numerous geographical information programs. Proprietary text format files can also be created and read by MapView and whilst these are inherently unportable they are extremely easy to edit and can be used to easily input your own lists of points of interest to the program, for further conversion to the GPX format for example.

See here for further details on these output formats as used with waypoints.

Supported Devices

MapView has fully tested support for a number of Garmin and Magellan handheld GPS units: the serial Garmin GPS 12, GPS 38, GPS III, etrex SUMMIT, GPSmap 60CS and foretrex units; the USB-based Garmin etrex VISTA C and Edge 305 models; and the serial Magellan 315/320 GPS unit. MapView is also fully compatible with most other handheld Garmin GPS models; support for further GPS manufacturers and types is in progress. GPS device and communication type configuration is detailed below.

For supported devices MapView provides functionality including position tracking; current time and date downloading; route, track and waypoint downloading and uploading; and almanac downloading. Certain Garmin units may also have their backlight turned on or off, may be powered off, and may have their display bitmap downloaded and displayed. Available GPS menu options are detailed below

Other GPS unit types are supported by at best only a rudimentary interface, providing only the ability to centre the map on the current position of the GPS receiver provided the receiver is capable of transmitting this position using the NMEA standard message types.

Coordinate Systems

Fixing a point on the surface of the earth requires the use of a coordinate system; historically this would normally be one that's been specially adapted to a particular region on Earth. Ordnance Survey of Great Britain (OSGB or more simply OS) maps have traditionally been based on the Airy ellipsoid of 1830 which provides a good fit for the area of the British Isles (excluding Ireland) but which cannot be usefully applied globally. With the advent of global satellite positioning systems an international positioning reference system was required; this was standardised in 1989 as the World Geodetic System 1984 (WGS84) standard.

All communication between MapView and GPS units uses WGS84 coordinate latitude and longitude pairs, even if these coordinates are apparently stored by the GPS unit using a different coordinate reference system. In practice this means that all waypoints, routes and tracks created by or loaded into MapView have their OSGB coordinates automatically converted into WGS84 latitudes and longitudes. There is a significant discrepancy between Airy 1830 and WGS84 latitude/longitude coordinate pairs throughout the whole of Great Britain; the difference between numerically identical coordinate pairs varies with latitude and longitude but is no less than 10s of metres, and can be as much as the low 100s of metres. Attention must always be paid to this potential source of confusion and when dealing with a latitude/longitude pair you must always know to which ellipsoid it has been referenced.

NMEA Overview

NMEA (the National Marine Electronics Association) is dedicated to the education and advancement ot the marine electronic industry and the market it serves. For the purposes of MapView's use of GPS, NMEA refers to NMEA standard NMEA-0183 which defines an interface and data protocol between marine instrumentaton and in particular refers to the message protocol used by GPS devices to constantly transmit their current location. Many, but not all, GPS devices can be configured to output an NMEA message stream containing regular position upates amongst other information.

GPS Menu

The GPS menu is shown below and consists of a variety of functions to configure GPS comms; configure route, track and waypoint options; read and write GPS data to/from files; acquire basic information from the GPS unit, such as time/date, version and almanac information; control the GPS device by turning its backlight on or off or powering the unit off; or track the current position using a variety of different mechanisms.

GPS Configuration

Regardless of the type of GPS receiver, the configuration of the comms link to this receiver is achieved through the use of the 'GPS->Configure...' menu option. This option brings up the following control panel:-

When configuring MapView's GPS comms you must ensure that the baud rate and comms protocol chosen match that configured on the GPS unit. Please read your GPS unit's documentation for details on how to view and modify the unit's communications parameters.

For Garmin serial GPS receiver models the baud rate would normally be set to 9600 for normal operation, and to 4800 if the unit's NMEA output option is chosen. The Comms Protocol option corresponds to three of the several comms options that the Garmin device can use for communication. For upload and download of tracks, routes and/or waypoints, the GARMIN protocol (and 9600 baud) should be selected.

For tracking current position you can use either of the Garmin comms protocol options.

If you have any problems regarding comms to your GPS device, it is useful to utilise the Microsoft HyperTerminal (Start->All Programs->Accessories->Communications->HyperTerminal) program after first setting your GPS device to NMEA output. If the comms link has been successfully and correctly configured (correct cable in the correct port at the correct baud rate) then you should see output similar to the following:-

Communicating with the GPS Unit

If you attempt to communicate with your GPS unit then a panel similar to the following should pop-up on screen, although hopefully your panel will indicate success:

Further details of the completed or failed action can be shown by clicking the 'Details>>' push button, as with the example below:

As stated earlier, MapView supports a much fuller set of communications option with a number of Garmin handheld GPS receivers. Options for downloading or uploading tracks, for downloading or uploading waypoints, or for downloading or uploading routes are detailed in the appropriate sections. However, of the other options supported you can get the current GPS receiver time using the 'GPS->GPS Time...' menu option, which brings up the following panel on success:-

A further option is the 'GPS->GPS Current Position...' option which brings up the following dialog box:-

To track your current location using NMEA, ensure that your comms link has been properly configured and then select the 'GPS->Track NMEA Posn...' menu option. The output sent from the GPS is displayed in the control panel shown below:-

GPS Options

Further GPS options, namely whether waypoint names are displayed or not, the waypoint prefix (if any) and the track and route name prefixes, can be specified from the tabbed control panel pane called up by the 'GPS->Options' menu option.

Use the 'Waypoint prefix' text field to input your waypoint prefix for waypoints entered manually (not read from a file or downloaded from a GPS unit). The 'Track name' and 'Route prefix' fields perform similar tasks for tracks and routes respectively. The 'Uppercase names only' option is important for waypoints derived from marks created using the 'Find Place...' panel.

GPS File I/O Options

GPS file I/O options can be set using the following tabbed control panel pane:-

The options within the 'KAS File Output' box refer to the coordinates output when writing routes, tracks or waypoints to file using the proprietary KAS Software text formats. See here for further details on these output formats.


main

Routes

From the perspective of a GPS receiver, a route is a planned course of travel defined by a series of positioning waypoints saved in the receiver's memory which indicate where you want to go. A route can be thought of as being broken down into segments or legs which are straight lines between consecutive waypoints.

This section on routes covers the following topics:

  • The Route menu
  • Drawing a route
  • Editing a route
  • Routes and GPS devices
  • Listing routes
  • Writing routes to text files

Route Menu

The Route menu items are shown below for reference.

Drawing Routes

The menu option 'Routes->Draw New Route' can be used to create a new route which can then be uploaded to your GPS or saved to file. Simply select this menu option then double-click the left mouse button to start the route, move to the next stage of the route and double-click the left mouse button again, and so on. If you require to place a route waypoint on a location that's off-screen then simply scroll to the required point by dragging the map under you and carry on as before. Use the right mouse button to end the route.

You can display a number of routes at any one time by simply drawing more of them. The currently selected (or most recently) drawn route is shown in red, with any other routes in blue. You can select a route by right clicking your mouse over any of the route points, or by double-clicking on a route line segment. The screenshot below shows two routes, with "Route02" being the currently selected one.

Editing Routes

After a route has been drawn there are a number ways in which to edit it. First of all the route must be selected as above, you can then right click over the route to bring up a menu of options. These are self-explanatory and allow for the route to be reversed, renamed, deleted, extended or for route waypoints to be added or taken away.

You can join two routes that are already displayed by first selecting the starting route, then holding down the Ctrl key and clicking on the right mouse button over the second route and selecting the 'Join Routes' menu option.

Downloading Routes

Routes can be downloaded from your GPS using the 'Routes->Download Route' menu option and the currently selected route can be uploaded to your GPS using the 'Routes->Upload Route' menu option. The panel displayed during either upload or download looks like the following:-

Once downloaded, a route is illustrated on screen using a series of small circles connected together by a thick red line (for the currently selected route), or a thin blue line (for any other routes) as shown on the screenshot above.

A route generally consists of a number of points each of which would be tens to hundreds of metres apart. GPS devices have limits as to the number of route points that can be stored, possibly as few as fifty.

Uploading Routes

Uploading a route to a connected GPS device is as simple as selecting the 'Routes->Upload Route' menu option. A panel similar to that used for downloading routes is displayed, with a clear indication of success or failure.

Note also that some GPS devices require your route name to be upper case alpha-numeric only, and to have no more than six characters. If you try to upload a route which does not meet these criteria to a GPS device which requires this, then you may not get any indication of failure. It is always best to download your routes after uploading to ensure they have been successfully stored on your GPS device.

Listing Routes

The 'Routes->List Routes...' menu option can be used to bring up the panel shown below which shows all current routes, the currently selected route (marked with an '*'), can show the route profile of the currently selected route, and shows a marker on the map and on the route profile so you can match profile to map location.

Saving Routes To File

The menu option 'Routes->Write Route to File' can be used to save a route to file using the standard file selection box to specify the name of the file to write to. Two types of file can be created in this way:

  • A '.gpx' file will store the route in 'GPS Exchange' format. This is an XML based text file which can be loaded by many utilities and provides for maximum portability. It is recommended that you save your routes in this format.
  • A '.ksr' file may also be created, which is simply a plain text file which can be edited by standard tools such as 'Notepad'. Such a file is not portable between utilities and is not recommended for general use.

    • Further details on these file formats can be found here.


main

Tracks

From the perspective of a GPS receiver, a track is a collection of positioning points which indicate where you have been on you travels. Depending on the type of GPS, tracks may have breaks in them corresponding to periods of time in which the GPS was switched off or had no signal, so the actual displayed track consists of one or more line segments.

Track points usually have an associated timestamp but have no name, whereas the track itself may or may not have an associated name.

This section on tracks covers the following topics:

  • The Track menu
  • Drawing a track
  • Editing a track
  • Tracks and GPS devices
  • Listing tracks
  • Writing tracks to text files

Menu

The Track menu items are shown below for reference.

Drawing a Track

The 'Create Track' toolbar button [image] allows you to draw a track using your mouse. In this mode of operation you cannot 'drag' the map as normal, however moving your cursor around the edges of the map will result in the map scrolling in the direction corresponding to the edge you've moved to. The cursor will also change shape to a pen to indicate that you are now in drawing mode.

To draw, simply hold down the left mouse button and drag, or alternatively draw a line from the last point to the current mouse position by double-clicking the left mouse button. The track name may be specified in the GPS Options dialog box.

A track is illustrated on screen using a series of small boxes connected together by a thin red line, as shown on the screenshot below. Note that it is possible to have more than one track on display at the same time, in which case the currently selected track has red segment lines, and all other tracks are in blue.

Editing a Track

After a track has been drawn there are a number ways in which to edit it. First of all the track must be selected by right clicking the mouse over one of the track vertices, you can then right click over the track to bring up a menu of options. These are self-explanatory and allow for the track to be reversed, renamed, deleted, extended or for track points to be added or taken away.

Downloading Tracks

Tracks can be downloaded from your GPS using the 'Tracks->Download Track(s)' menu option, which displays the following panel whilst downloading data from the GPS:-

Once downloaded, the track(s) are displayed on screen as per the screenshot above.

As can be seen, a track can consist of thousands of points and this can impact on the time taken to display the map particularily if its being moved about a lot on screen.

Uploading Tracks

To upload your currently track to a connected GPS, select the 'Tracks->Upload Track' menu option. A popped-up progress box similar to that used for downloading tracks will display the progress and whether track upload has succeeded or not.

Listing Tracks

The 'Tracks->List Tracks...' menu option can be used to bring up the panel shown below which shows all current tracks, the currently selected track (marked with an '*'), can show the profile of the currently selected track, and shows a marker on the map and on the track profile so you can match profile to map location.

Saving Tracks To File

The menu option 'Tracks->Write Track to File' can be used to save a track to file using the standard file selection box to specify the name of the file to write to. The saved file can be in either of two formats:-

  • '.gpx', which stands for GPS eXchange, is an XML based file format which is becoming increasingly common and provides maximum portability for use with other geographical applications. This is the recommended format to use for exporting track details.
  • '.kst' files are simply plain text files which can be edited by standard tools such as 'Notepad', but which are not particularily portable and offer no advantages in normal circumstances. This is a useful file format however, if you wish a plain comma separated file.

    • Further details on these file formats can be found here.


main

Waypoints

A waypoint is a marked point on an electronic map which can be used for navigation purposes, for example as a point to aim for or a mark to look for when retracing your steps. Waypoints can be entered into your GPS unit manually or can be drawn on a map and then downloaded to your GPS.

MapView supports the concept of proximity waypoints which are simply normal waypoints with a circular extent commonly used to indicate areas to avoid in, for example, marine navigation.

This section on waypoints covers the following topics:

  • The Waypoint menu
  • Waypoint creation
  • Proximity waypoints
  • Editing waypoints
  • Waypoints and GPS devices
  • Listing waypoints
  • Writing waypoints to text files

Waypoint Menu

The Waypoint menu items are shown below for reference.

Creating Waypoints

The 'Create Waypoints' toolbar button [image] allows you to enter waypoints by double-clicking the mouse over the appropriate map position. The waypoints are numbered sequentially starting from zero and are prefixed by the text (optionally) specified in the GPS Options dialog box. An example of how waypoints look on a map is given by the screenshot below, which also shows a proximity waypoint "W024" with a proximity distance (radius) of about 250 metres:-

The cursor changes shape to a pin during waypoint creation, but you may still navigate around the map using the keyboard, mouse and scroll bars as before. Entering 3D map viewing mode will terminate waypoint creation, as will toggling the 'Create Waypoints' toolbar button shown above.

A waypoint can also be created using the map display root menu by right clicking the mouse over the required position and selecting the 'Create Waypoint' option.

Proximity Waypoints

Some GPS devices provide a facility to emit an alarm indication whenever a waypoint is neared in any direction. These proximity waypoints may be created in MapView as normal waypoints and the 'Toggle Proximity' and 'Proximity Distance' options selected to set the alarm radius. In the example screenshot above, waypoint "W024" has been configured as a proximity waypoint with a proximity distance (radius) of about 250m.

Editing Waypoints

You can edit waypoints that are currently on display on a map by right-clicking the mouse over the appropriate waypoint, then selecting the required menu option for tasks such as editing the waypoint name or comment, moving the waypoint or deleting the waypoint, as shown below.

It is also possible to upload the single selected waypoint to a connected GPS using the 'Upload Waypoint to GPS' menu option, provided your GPS is presently attached and GPS comms have been configured correctly.

Downloading Waypoints

The 'Waypoints->Download Waypoints' menu option can be used to download all waypoints from your connected GPS. Once downloaded the waypoints are displayed as illustrated in the screenshot above.

Uploading Waypoints

Waypoints can be uploaded to a connected GPS using the 'Waypoints->Upload Waypoints' menu option.

Listing Waypoints

Waypoints can be listed using the 'Waypoint->List Waypoints...' menu option. This brings up a panel similar to that shown below, from which individual waypoints can be selected and edited as above.

Saving Waypoints To File

The menu option 'Waypoints->Write Waypoints to File' can be used to save all currently displayed waypoints to file using the standard file selection box to specify the name of the file to write to. The saved file can be in one of two formats:

  • A '.gpx' file (GPS Exchange) is an XML-based file which offers maximum portability between geographical applications. GPX files use the WGS84 datum for the representation all positional information.

  • A '.ksw' file is simply a plain text file which can be edited by standard tools such as 'Notepad'. The first non-comment line of this file gives information on the type of fields present in the remaining lines. An example '.ksw' file storing coordinates in OSGB values is shown below:-

    An further example '.ksw' file showing the same coordinates, but using WGS84 values, is shown below:-

    These files may be edited using any standard tool and can be reloaded into MapView using the 'Waypoints->Read Waypoint File...' menu option.

    • Files should be saved using '.gpx' in most circumstances. Only if you require fairly simple CSV output should you use the proprietary (but straightforward) '.ksw' format.


KAS Software - mapView

Web Links and Further Help

All queries regarding any aspect of the functionality of the KAS Software MapView software package should be directed to KAS Software Ltd.

http://www.KASsoftware.com/ - KASsoftware MapView web-site

mailto:info@KASsoftware.com - Specific Queries